Bug 844474 - Add a comment within /etc/rhn/rhn.conf (like in /etc/sysconfig/rhn/up2date) that states that HTTP proxy entry should be in host:port format
Add a comment within /etc/rhn/rhn.conf (like in /etc/sysconfig/rhn/up2date) ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
541
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
Ondrej Cienciala
:
Depends On:
Blocks: sat550-lowbug
  Show dependency treegraph
 
Reported: 2012-07-30 15:35 EDT by dipu
Modified: 2014-06-18 03:01 EDT (History)
6 users (show)

See Also:
Fixed In Version: spacewalk-config-1.7.2-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-21 05:32:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dipu 2012-07-30 15:35:35 EDT
Description of problem:
spacewalk-repo-sync fails if you set server.satellite.http_proxy entry with http:// prefix(for eg: server.satellite.http_proxy =http://proxy.example.com:80.
We should specify the proxy entry in 'host:port' format(no http:// prefix) 

The Satellite Installation Guide specifies only using the fqdn for the proxy settings in /etc/rhn/rhn.conf:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/5.4/html-single/Installation_Guide/index.html#sect-Installation_Guide-Installation-Installing_Satellite_behind_an_HTTP_Proxy

server.satellite.http_proxy = <http-proxy-fqdn>
server.satellite.http_proxy_username = <proxy-username>
server.satellite.http_proxy_password = <proxy-password>

Even though this is technically documented in the above, it could be nice to have a comment in the rhn.conf (like in /etc/sysconfig/rhn/up2date) to potentially head-off spacewalk-repo-sync issues, as mentioned.
Comment 3 Jan Pazdziora 2012-08-06 05:24:39 EDT
Making bugzilla public.
Comment 4 Jan Pazdziora 2012-08-06 05:25:54 EDT
Comment added in Spacewalk master, 8fda134cbd29d5b6e6daaec09d7b36ed10a22541.
Comment 8 Clifford Perry 2012-09-21 05:32:44 EDT
This issue is resolved with the release of RHN Satellite 5.5. 

As of September 20th 2012, RHN Satellite 5.5 has been generally available. 

Release Notes and other 5.5 documentation can be found here:

 https://access.redhat.com/knowledge/docs/Red_Hat_Network_Satellite/

The associated Errata for the 5.5 release are:

5.5 Satellite GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1296.html

5.5 Upgrade Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1298.html

5.5 RHN Proxy GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1297.html

5.5 RHN Tools GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1299.html

Regards,
Clifford
- Engineering Manager, Satellite

Note You need to log in before you can comment on or make changes to this bug.